export default Legend;
declare function Legend({ className, items: originalItems, hovered, visibleIndex, visibleLength, isVertical, isInsidePopover, onHoverChange, onSelectSeries, onToggleSeriesVisibility, onRemoveSeries, isReversed, canRemoveSeries, }: {
    className: any;
    items: any;
    hovered: any;
    visibleIndex?: number | undefined;
    visibleLength?: any;
    isVertical: any;
    isInsidePopover: any;
    onHoverChange: any;
    onSelectSeries: any;
    onToggleSeriesVisibility: any;
    onRemoveSeries: any;
    isReversed: any;
    canRemoveSeries?: (() => boolean) | undefined;
}): import("react/jsx-runtime").JSX.Element;
declare namespace Legend {
    export { propTypes };
}
declare namespace propTypes {
    let className: PropTypes.Requireable<string>;
    let items: PropTypes.Validator<any[]>;
    let hovered: PropTypes.Requireable<object>;
    let visibleIndex: PropTypes.Requireable<number>;
    let visibleLength: PropTypes.Requireable<number>;
    let isVertical: PropTypes.Requireable<boolean>;
    let isInsidePopover: PropTypes.Requireable<boolean>;
    let onHoverChange: PropTypes.Requireable<(...args: any[]) => any>;
    let onSelectSeries: PropTypes.Requireable<(...args: any[]) => any>;
    let onToggleSeriesVisibility: PropTypes.Requireable<(...args: any[]) => any>;
    let onRemoveSeries: PropTypes.Requireable<(...args: any[]) => any>;
    let isReversed: PropTypes.Requireable<boolean>;
    let canRemoveSeries: PropTypes.Requireable<(...args: any[]) => any>;
}
import PropTypes from "prop-types";
